%define upstream_name    Devel-CheckLib
%define upstream_version 1.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check that a library is available
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(Mock::Config) >= 0.20.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Devel::CheckLib is a perl module that checks whether a particular C library
and its headers are available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README TODO
%{_bindir}/use-devel-checklib
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Feb 18 2020 umeabot <umeabot> 1.140.0-2.mga8
+ Revision: 1538102
- Mageia 8 Mass Rebuild

* Wed Nov 13 2019 tv <tv> 1.140.0-1.mga8
+ Revision: 1459734
- update to 1.14

* Thu Sep 20 2018 umeabot <umeabot> 1.130.0-2.mga7
+ Revision: 1282742
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 tv <tv> 1.130.0-1.mga7
+ Revision: 1234584
- update to 1.13

* Fri Jun 01 2018 tv <tv> 1.120.0-1.mga7
+ Revision: 1233476
- update to 1.12

* Mon Oct 02 2017 tv <tv> 1.110.0-2.mga7
+ Revision: 1164056
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 1.110.0-1.mga7
+ Revision: 1158206
- update to 1.11

* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-2.mga6
+ Revision: 1025495
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.70.0-1.mga6
+ Revision: 1001796
- update to 1.07

* Wed Feb 24 2016 shlomif <shlomif> 1.60.0-1.mga6
+ Revision: 978721
- update to 1.06

* Fri Feb 19 2016 umeabot <umeabot> 1.50.0-2.mga6
+ Revision: 969992
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.50.0-1.mga6
+ Revision: 884513
- update to 1.05

* Mon Jun 22 2015 sander85 <sander85> 1.30.0-1.mga6
+ Revision: 839314
- update to 1.03

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-3.mga5
+ Revision: 749261
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-2.mga5
+ Revision: 684306
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 1.20.0-1.mga5
+ Revision: 669923
- update to 1.02

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-2.mga4
+ Revision: 530646
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 1.10.0-1.mga4
+ Revision: 458672
- update to 1.01

* Fri Jun 07 2013 jquelin <jquelin> 0.990.0-1.mga4
+ Revision: 439020
- update to 0.99

* Sun Jan 13 2013 umeabot <umeabot> 0.980.0-2.mga3
+ Revision: 365688
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.980.0-1.mga3
+ Revision: 254851
- update to 0.98

* Mon Mar 05 2012 jquelin <jquelin> 0.970.0-1.mga2
+ Revision: 218702
- update to 0.97

* Thu Feb 23 2012 jquelin <jquelin> 0.960.0-1.mga2
+ Revision: 212747
- update to 0.96

* Sat Nov 05 2011 kharec <kharec> 0.950.0-1.mga2
+ Revision: 163756
- update to 0.95

* Fri Oct 14 2011 jquelin <jquelin> 0.940.0-1.mga2
+ Revision: 154843
- fix %%files error
- update to 0.94

* Tue Apr 12 2011 jquelin <jquelin> 0.930.0-1.mga1
+ Revision: 83743
- update to 0.93

* Fri Jan 21 2011 jquelin <jquelin> 0.920.0-1.mga1
+ Revision: 28565
- fix %%files
- mageia rebuild
- imported package perl-Devel-CheckLib

